
	function HTTP_RECORD_INVENTORY_LOAD(CALLBACK_METHOD, R_INDEX)
	{
		var GET_MAP_ARRAY = JSCUS_SQL._RECORD._INVENTORY.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANSFLOW_SUMMARY_ACC_GROUP_ID_CMB") == true)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_INVENTORY_ACC_GROUP_ID', JSVC_NUM.VAR_NVAL(JSOC_CMB.VAR_SELECTED_VALUE("SEARCH_REC_TRANSFLOW_SUMMARY_ACC_GROUP_ID_CMB")));
		}
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, "PARAM_REC_INVENTORY_CAT_PRODUCT_ID", JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('CAT_PRODBRANCH_CAT_PRODUCT_ID', R_INDEX - 1)));

		// Declare Post Request Handler
		// _______________________________________________________________________
		var RESPONSE_HANDLER = 			
			function(IS_SUCCESS, RESPONSE_STRING)
			{
				// Validate
				// _______________________________________________________________________
				if(IS_SUCCESS === false)
				{
					alert("CONNECTION ERROR: \n" + RESPONSE_STRING);
					CALLBACK_METHOD(false);
					return;
				}
				
				// Validate JSON Response
				// _______________________________________________________________________
				var JSON_OBJECT = JSRC_JSON.REF_CREATE(RESPONSE_STRING);
				if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
				{
					alert("REQUEST ERROR: \n" + RESPONSE_STRING);
					CALLBACK_METHOD(false);
					return;
				}
				
				// JSON Empty (Clears the DataGrodView)
				// _______________________________________________________________________
				if(JSRC_JSON.REF_READ(JSON_OBJECT, "JSON_COUNT") <= 0)
				{
					TRANSFLOW_SMRY_DGV.CELL.VALUE('BEG_INVENTORY', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('END_INVENTORY', R_INDEX - 1, '0.00');

					TRANSFLOW_SMRY_DGV.CELL.VALUE('DELIVERY', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('SNACKS', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('CRM', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('DRETURN', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('FOODPANDA', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('BADORDER', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('DISCREPANCY', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('ACTUAL_INVENTORY', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('TOTAL_QUANTITY', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('TOTAL_DISCOUNT', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('TOTAL_SALES', R_INDEX - 1, '0.00');
					
					CALLBACK_METHOD(true);
				}
				// Read Response And Assign ID
				// ...........................................
				else
				{
					//DALAWA ANG RESULT
					if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVENTORY_CAT_STORAGE_ID", 1)) % 2 == 0)
					{
						TRANSFLOW_SMRY_DGV.CELL.VALUE('BEG_INVENTORY', R_INDEX - 1, JSVC_NUM.VAR_CFORMAT(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVENTORY_QUANTITY", 1)));
						TRANSFLOW_SMRY_DGV.CELL.VALUE('END_INVENTORY', R_INDEX - 1, JSVC_NUM.VAR_CFORMAT(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVENTORY_QUANTITY", 1)));
						CALLBACK_METHOD(true);
					}
					else if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVENTORY_CAT_STORAGE_ID", 2)) % 2 == 0)
					{
						TRANSFLOW_SMRY_DGV.CELL.VALUE('BEG_INVENTORY', R_INDEX - 1, JSVC_NUM.VAR_CFORMAT(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVENTORY_QUANTITY", 2)));
						TRANSFLOW_SMRY_DGV.CELL.VALUE('END_INVENTORY', R_INDEX - 1, JSVC_NUM.VAR_CFORMAT(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_INVENTORY_QUANTITY", 2)));
						CALLBACK_METHOD(true);
					}
					else
					{
						TRANSFLOW_SMRY_DGV.CELL.VALUE('BEG_INVENTORY', R_INDEX - 1, '0.00');
						TRANSFLOW_SMRY_DGV.CELL.VALUE('END_INVENTORY', R_INDEX - 1, '0.00');
						CALLBACK_METHOD(false);
					}

					TRANSFLOW_SMRY_DGV.CELL.VALUE('DELIVERY', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('SNACKS', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('CRM', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('DRETURN', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('FOODPANDA', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('BADORDER', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('DISCREPANCY', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('ACTUAL_INVENTORY', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('TOTAL_QUANTITY', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('TOTAL_DISCOUNT', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('TOTAL_SALES', R_INDEX - 1, '0.00');
				}
			};

		JSOC_DIALOG.VAR_LOADING_SPINNER(true);
		JSCUS_SQL._RECORD._INVENTORY.CUS_GET
		(
			GET_MAP_ARRAY,
			RESPONSE_HANDLER,
			true
		); 
	}

	function HTTP_STOCKCARD_LOAD(CALLBACK_METHOD, R_INDEX)
	{
		var GET_MAP_ARRAY = JSCUS_SQL._RECORD._STOCK_CARD.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANSFLOW_SUMMARY_ACC_GROUP_ID_CMB") == true)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_STOCKCARD_ACC_GROUP_ID', JSVC_NUM.VAR_NVAL(JSOC_CMB.VAR_SELECTED_VALUE("SEARCH_REC_TRANSFLOW_SUMMARY_ACC_GROUP_ID_CMB")));
		}
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, "PARAM_REC_STOCKCARD_CAT_PRODUCT_ID", JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('CAT_PRODBRANCH_CAT_PRODUCT_ID', R_INDEX - 1)));
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_STOCKCARD_DATE_TRANSACTION_FROM', JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + " 00:00:00.000000");
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_STOCKCARD_DATE_TRANSACTION_TO', JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + " 23:59:59.999999");

		// Declare Post Request Handler
		// _______________________________________________________________________
		var RESPONSE_HANDLER = 			
			function(IS_SUCCESS, RESPONSE_STRING)
			{
				// Validate
				// _______________________________________________________________________
				if(IS_SUCCESS === false)
				{
					alert("CONNECTION ERROR: \n" + RESPONSE_STRING);
					CALLBACK_METHOD(false);
					return;
				}
				
				// Validate JSON Response
				// _______________________________________________________________________
				var JSON_OBJECT = JSRC_JSON.REF_CREATE(RESPONSE_STRING);
				if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
				{
					alert("REQUEST ERROR: \n" + RESPONSE_STRING);
					CALLBACK_METHOD(false);
					return;
				}
				
				// JSON Empty (Clears the DataGrodView)
				// _______________________________________________________________________
				if(JSRC_JSON.REF_READ(JSON_OBJECT, "JSON_COUNT") <= 0)
				{
					CALLBACK_METHOD(true);
				}
				// Read Response And Assign ID
				// ...........................................
				else
				{
					var JSON_COUNT = JSRC_JSON.REF_READ(JSON_OBJECT, "JSON_COUNT");
					var COUNTER = 1;
					while(COUNTER <= JSON_COUNT)
					{
						if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_STORAGE_ID", COUNTER)) % 2 == 0)
						{
							if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_STOCKFLOW_IS_IN", COUNTER)) == 1)
						    {
						    	//OUT THEN ADD SYA
						    	TRANSFLOW_SMRY_DGV.CELL.VALUE('BEG_INVENTORY', R_INDEX - 1,
						    		JSVC_NUM.VAR_CFORMAT(
						    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('BEG_INVENTORY', R_INDEX - 1)) +
						    			JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_STOCKCARD_QUANTITY", COUNTER))
						    		));
						    }
						    else if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_STOCKFLOW_IS_IN", COUNTER)) == 2)
						    {
						    	//IN THEN SUBTRACT SYA
						    	TRANSFLOW_SMRY_DGV.CELL.VALUE('BEG_INVENTORY', R_INDEX - 1,
						    		JSVC_NUM.VAR_CFORMAT(
						    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('BEG_INVENTORY', R_INDEX - 1)) -
						    			JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_STOCKCARD_QUANTITY", COUNTER))
						    		));
						    }
						}
					    

					    if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_STOCKFLOW_ID", COUNTER)) == 1) //BAD ORDER
					    {
					    	TRANSFLOW_SMRY_DGV.CELL.VALUE('BADORDER', R_INDEX - 1,
					    		JSVC_NUM.VAR_CFORMAT(
					    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('BADORDER', R_INDEX - 1)) +
					    			JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_STOCKCARD_QUANTITY", COUNTER))
					    		));
					    }

					    if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_STOCKFLOW_ID", COUNTER)) == 2) //DELIVERY RCV
					    {
					    	TRANSFLOW_SMRY_DGV.CELL.VALUE('DELIVERY', R_INDEX - 1,
					    		JSVC_NUM.VAR_CFORMAT(
					    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('DELIVERY', R_INDEX - 1)) +
					    			JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_STOCKCARD_QUANTITY", COUNTER))
					    		));
					    }

					    if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_STOCKFLOW_ID", COUNTER)) == 11) //SNACKS
					    {
					    	TRANSFLOW_SMRY_DGV.CELL.VALUE('SNACKS', R_INDEX - 1,
					    		JSVC_NUM.VAR_CFORMAT(
					    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('SNACKS', R_INDEX - 1)) +
					    			JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_STOCKCARD_QUANTITY", COUNTER))
					    		));
					    }

					    if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_STOCKFLOW_ID", COUNTER)) == 12) //FOOD PANDA
					    {
					    	TRANSFLOW_SMRY_DGV.CELL.VALUE('FOODPANDA', R_INDEX - 1,
					    		JSVC_NUM.VAR_CFORMAT(
					    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('FOODPANDA', R_INDEX - 1)) +
					    			JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_STOCKCARD_QUANTITY", COUNTER))
					    		));
					    }

					    if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_STOCKFLOW_ID", COUNTER)) == 4) //DISCREPANCY [-]
					    {
					    	TRANSFLOW_SMRY_DGV.CELL.VALUE('DISCREPANCY', R_INDEX - 1,
					    		JSVC_NUM.VAR_CFORMAT(
					    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('DISCREPANCY', R_INDEX - 1)) -
					    			JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_STOCKCARD_QUANTITY", COUNTER))
					    		));
					    }

					    if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_STOCKFLOW_ID", COUNTER)) == 5) //DISCREPANCY [+]
					    {
					    	TRANSFLOW_SMRY_DGV.CELL.VALUE('DISCREPANCY', R_INDEX - 1,
					    		JSVC_NUM.VAR_CFORMAT(
					    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('DISCREPANCY', R_INDEX - 1)) +
					    			JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_STOCKCARD_QUANTITY", COUNTER))
					    		));
					    }

					    if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_STOCKFLOW_ID", COUNTER)) == 14) //CRM
					    {
					    	TRANSFLOW_SMRY_DGV.CELL.VALUE('CRM', R_INDEX - 1,
					    		JSVC_NUM.VAR_CFORMAT(
					    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('CRM', R_INDEX - 1)) +
					    			JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_STOCKCARD_QUANTITY", COUNTER))
					    		));
					    }

					    if(JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "CAT_STOCKFLOW_ID", COUNTER)) == 13) //DReturn
					    {
					    	TRANSFLOW_SMRY_DGV.CELL.VALUE('DRETURN', R_INDEX - 1,
					    		JSVC_NUM.VAR_CFORMAT(
					    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('DRETURN', R_INDEX - 1)) +
					    			JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_STOCKCARD_QUANTITY", COUNTER))
					    		));
					    }

					 	COUNTER++;
					}

					TRANSFLOW_SMRY_DGV.CELL.VALUE('ACTUAL_INVENTORY', R_INDEX - 1,
			    		JSVC_NUM.VAR_CFORMAT(
			    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('END_INVENTORY', R_INDEX - 1)) -
			    			JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('DISCREPANCY', R_INDEX - 1))
			    		));
					CALLBACK_METHOD(true);
				}
			};

		JSOC_DIALOG.VAR_LOADING_SPINNER(true);
		JSCUS_SQL._RECORD._STOCK_CARD.CUS_GET
		(
			GET_MAP_ARRAY,
			RESPONSE_HANDLER,
			true
		); 
	}

	function HTTP_SALES_BY_PRODUCT_LOAD(CALLBACK_METHOD, R_INDEX)
	{
		var GET_MAP_ARRAY = JSCUS_SQL._RECORD._POS_SALE_LIST.CUS_PREPARE_MAPPED_ARRAY_FOR_GET();
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANSFLOW_SUMMARY_ACC_GROUP_ID_CMB") == true)
		{
			JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_POSSALE_ACC_GROUP_ID', JSVC_NUM.VAR_NVAL(JSOC_CMB.VAR_SELECTED_VALUE("SEARCH_REC_TRANSFLOW_SUMMARY_ACC_GROUP_ID_CMB")));
		}
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_POSSALE_DATE_TRANSACT_FROM', JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + " 00:00:00.000000");
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_POSSALE_DATE_TRANSACT_TO', JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + " 23:59:59.999999");
		JSVC_MAP_ARRAY.VAR_SET(GET_MAP_ARRAY, 'PARAM_REC_POSSALE_LIST_CAT_PRODUCT_ID', JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('CAT_PRODBRANCH_CAT_PRODUCT_ID', R_INDEX - 1)));

		// Declare Post Request Handler
		// _______________________________________________________________________
		var RESPONSE_HANDLER = 			
			function(IS_SUCCESS, RESPONSE_STRING)
			{
				// Validate
				// _______________________________________________________________________
				if(IS_SUCCESS === false)
				{
					alert("CONNECTION ERROR: \n" + RESPONSE_STRING);
					CALLBACK_METHOD(false);
					return;
				}
				
				// Validate JSON Response
				// _______________________________________________________________________
				var JSON_OBJECT = JSRC_JSON.REF_CREATE(RESPONSE_STRING);
				if(JSRC_JSON.REF_IS_SUCCESS(JSON_OBJECT) === false)
				{
					alert("REQUEST ERROR: \n" + RESPONSE_STRING);
					CALLBACK_METHOD(false);
					return;
				}
				
				// JSON Empty (Clears the DataGrodView)
				// _______________________________________________________________________
				if(JSRC_JSON.REF_READ(JSON_OBJECT, "JSON_COUNT") <= 0)
				{
					TRANSFLOW_SMRY_DGV.CELL.VALUE('TOTAL_QUANTITY', R_INDEX - 1, '0.00');
					TRANSFLOW_SMRY_DGV.CELL.VALUE('TOTAL_SALES', R_INDEX - 1, '0.00');
					CALLBACK_METHOD(true);
				}
				// Read Response And Assign ID
				// ...........................................
				else
				{
					var JSON_COUNT = JSRC_JSON.REF_READ(JSON_OBJECT, "JSON_COUNT");
					var COUNTER = 1;
					while(COUNTER <= JSON_COUNT)
					{
						TRANSFLOW_SMRY_DGV.CELL.VALUE("TOTAL_QUANTITY", R_INDEX - 1,
							JSVC_NUM.VAR_CFORMAT(
								JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('TOTAL_QUANTITY', R_INDEX - 1)) +
					    		JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_POSSALE_LIST_QUANTITY", COUNTER))
							));
						TRANSFLOW_SMRY_DGV.CELL.VALUE("TOTAL_DISCOUNT", R_INDEX - 1,
							JSVC_NUM.VAR_CFORMAT(
								JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('TOTAL_DISCOUNT', R_INDEX - 1)) +
					    		JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_POSSALE_LIST_TOPAY_DISCOUNT", COUNTER))
							));
						TRANSFLOW_SMRY_DGV.CELL.VALUE("TOTAL_SALES", R_INDEX - 1,
							JSVC_NUM.VAR_CFORMAT(
								JSVC_NUM.VAR_NVAL(TRANSFLOW_SMRY_DGV.CELL.VALUE('TOTAL_SALES', R_INDEX - 1)) +
					    		JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_POSSALE_LIST_TOPAY_VATABLE", COUNTER)) +
					    		JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_POSSALE_LIST_TOPAY_VATEXEMPT", COUNTER)) +
					    		JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_POSSALE_LIST_TOPAY_NONVAT", COUNTER)) +
					    		JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_POSSALE_LIST_TOPAY_ZERORATED", COUNTER)) +
					    		JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_POSSALE_LIST_TOPAY_VATOTHER", COUNTER)) +
					    		JSVC_NUM.VAR_NVAL(JSRC_JSON.REF_READ(JSON_OBJECT, "REC_POSSALE_LIST_TOPAY_VAT", COUNTER))
							));

						COUNTER++;
					}

					CALLBACK_METHOD(true);
				}
			};

		JSOC_DIALOG.VAR_LOADING_SPINNER(true);
		JSCUS_SQL._RECORD._POS_SALE_LIST.CUS_GET_ALL
		(
			GET_MAP_ARRAY,
			RESPONSE_HANDLER,
			true
		);
	}
